"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const code_frame_1 = require("@babel/code-frame");
const chalk_1 = __importDefault(require("chalk"));
const fs = __importStar(require("fs"));
const os = __importStar(require("os"));
const env_1 = require("../util/env");
function formatForkTsCheckerMessages(error, useColors) {
    const colors = new chalk_1.default.constructor({ enabled: useColors });
    const { file } = error;
    const source = file && fs.existsSync(file) && fs.readFileSync(file, 'utf-8');
    if (source) {
        const frame = code_frame_1.codeFrameColumns(source, {
            start: {
                line: error.line,
                column: error.character,
            },
        }, {
            highlightCode: env_1.IS_INTERACTIVE && !env_1.IS_CI,
        });
        return (colors.dim(`${error.line}:${error.character} `) +
            error.content +
            colors.cyan(` (TS${error.code})`) +
            os.EOL +
            (frame ? os.EOL + frame : ''));
    }
    else {
        return '';
    }
}
exports.formatForkTsCheckerMessages = formatForkTsCheckerMessages;
//# sourceMappingURL=formatForkTsCheckerMessages.js.map