"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const strip_ansi_1 = __importDefault(require("strip-ansi"));
const text_table_1 = __importDefault(require("text-table"));
function eslintFormatter(results) {
    const formatRow = (row) => {
        const { line, column, message, ruleId } = row;
        return ['', line, column, chalk_1.default.dim(message), chalk_1.default.cyan(ruleId)];
    };
    return text_table_1.default(results[0].messages.map(formatRow), {
        align: ['', 'r', 'l'],
        stringLength: str => strip_ansi_1.default(str).length,
    })
        .split('\n')
        .map(ln => ln.replace(/(\d+)\s+(\d+)/, (_, line, char) => `${line}:${char}`))
        .join('\n');
}
exports.default = eslintFormatter;
//# sourceMappingURL=eslintFormatter.js.map