"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const strip_ansi_1 = __importDefault(require("strip-ansi"));
const text_table_1 = __importDefault(require("text-table"));
const Lint = __importStar(require("tslint"));
class Formatter extends Lint.Formatters.AbstractFormatter {
    format(failures) {
        return text_table_1.default(failures.map(this.formatFailure), {
            align: ['', 'r', 'l'],
            stringLength: str => strip_ansi_1.default(str).length,
        })
            .split('\n')
            .map(ln => ln.replace(/(\d+)\s+(\d+)/, (_, line, char) => `${line}:${char}`))
            .join('\n');
    }
    formatFailure(failure) {
        const { line, character } = failure.getStartPosition().getLineAndCharacter();
        const message = failure.getFailure();
        const ruleName = failure.getRuleName();
        return [
            '',
            `${line}`,
            `${character}`,
            chalk_1.default.dim(message),
            chalk_1.default.cyan(ruleName),
        ];
    }
}
exports.Formatter = Formatter;
//# sourceMappingURL=lintTableFormatter.js.map