"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const appDirectory = fs.realpathSync(process.cwd());
const useTemplate = appDirectory === fs.realpathSync(path.join(__dirname, '../..'));
function resolveApp(relativePath) {
    return path.resolve(appDirectory, relativePath);
}
exports.resolveApp = resolveApp;
function resolveOwn(relativePath) {
    return path.resolve(__dirname, '../..', relativePath);
}
exports.resolveOwn = resolveOwn;
exports.paths = useTemplate
    ? {
        appPackageJson: resolveOwn('package.json'),
        appIndexJs: resolveOwn('template/src/index.ts'),
        appTsConfig: resolveOwn('template/tsconfig.json'),
        __legacy_appEslint: resolveOwn('template/.eslintrc.json'),
        appDevBundlePath: resolveOwn('template/build'),
        appSrc: resolveOwn('template/src'),
        appBuild: resolveOwn('template/dist'),
        testsSetup: resolveOwn('template/setupTests.ts'),
        webpackOverride: resolveOwn('template/webpack.config.override.js'),
        prodBundle: 'bundle.prod.js',
        __legacy_appTslint: resolveOwn('template/tslint.json'),
    }
    : {
        appPackageJson: resolveApp('package.json'),
        appIndexJs: resolveApp('src/index.ts'),
        appTsConfig: resolveApp('tsconfig.json'),
        __legacy_appEslint: resolveApp('.eslintrc.json'),
        appDevBundlePath: resolveApp('build'),
        appSrc: resolveApp('src'),
        appBuild: resolveApp('dist'),
        testsSetup: resolveApp('setupTests.ts'),
        webpackOverride: resolveApp('webpack.config.override.js'),
        prodBundle: 'bundle.prod.js',
        __legacy_appTslint: resolveApp('tslint.json'),
    };
//# sourceMappingURL=paths.js.map