"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = __importDefault(require("crypto"));
const fs = __importStar(require("fs"));
function getFileHash(path) {
    return new Promise(resolve => {
        const hash = crypto_1.default.createHash('sha256');
        const input = fs.createReadStream(path, { encoding: 'utf-8' });
        input.on('readable', () => {
            const data = input.read();
            if (data) {
                hash.update(data);
            }
            else {
                return resolve(hash.digest('hex'));
            }
        });
    });
}
exports.getFileHash = getFileHash;
//# sourceMappingURL=hash.js.map