"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const fs = __importStar(require("fs"));
const typescript = __importStar(require("typescript"));
const webpack_merge_1 = __importDefault(require("webpack-merge"));
require("../injectors/dev");
const clearConsole_1 = require("../lib/clearConsole");
const paths_1 = require("../lib/paths");
const webpack_config_dev_1 = require("../lib/webpack.config.dev");
const webpackCompiler_1 = require("../lib/webpackCompiler");
const env_1 = require("../util/env");
let compiler;
if (env_1.IS_INTERACTIVE) {
    clearConsole_1.clearConsole();
}
console.log(chalk_1.default.cyan('Starting the development server...'));
console.log(chalk_1.default.green('Using TypeScript v' + typescript.version));
if (fs.existsSync(paths_1.paths.webpackOverride)) {
    console.log(chalk_1.default.yellow('[EXPERIMENTAL] Detected webpack.config.override.js file, merging configuration...'));
    // TODO: remove `any` once merge() updates to the latest webpack definitions
    const mergedConfig = webpack_merge_1.default(webpack_config_dev_1.WebpackDevConfig, require(paths_1.paths.webpackOverride));
    // TODO: remove `webpack.Configuration` once merge() updates to the latest webpack definitions
    compiler = webpackCompiler_1.createCompiler(mergedConfig, env_1.RuntimeOptions);
}
else {
    compiler = webpackCompiler_1.createCompiler(webpack_config_dev_1.WebpackDevConfig, env_1.RuntimeOptions);
}
// start the webpack watchers
compiler.watch({}, err => {
    if (err) {
        throw err;
    }
});
//# sourceMappingURL=start.js.map