"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const filesize_1 = __importDefault(require("filesize"));
const fs = __importStar(require("fs"));
exports.getBundleSize = (fileName) => {
    try {
        const read = fs.statSync(fileName);
        return read.size;
    }
    catch (e) {
        return null;
    }
};
exports.diffFileSize = (sizeBeforeBuild, sizeAfterBuild) => {
    if (!sizeAfterBuild) {
        return '';
    }
    const afterBuildFormatted = filesize_1.default(sizeAfterBuild, {
        base: 10,
        output: 'object',
    });
    if (!sizeBeforeBuild) {
        return chalk_1.default.green(`${afterBuildFormatted.value} ${afterBuildFormatted.symbol}`);
    }
    const diff = filesize_1.default(sizeAfterBuild - sizeBeforeBuild, {
        base: 10,
        output: 'object',
    });
    if (diff.value === 0) {
        return `${afterBuildFormatted.value} ${afterBuildFormatted.symbol} (+0 B)`;
    }
    else if (diff.value > 0) {
        return chalk_1.default.yellow(`${afterBuildFormatted.value} ${afterBuildFormatted.symbol} (+${diff.value} ${diff.symbol})`);
    }
    else {
        return chalk_1.default.green(`${afterBuildFormatted.value} ${afterBuildFormatted.symbol} (${diff.value} ${diff.symbol})`);
    }
};
//# sourceMappingURL=fileSizeReporter.js.map